LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::rendering::TexturingMode Constant Group Reference

Enumeration of possible values to spread a texture across a primitive. More...

## Variables
const byte | NONE =0
| Pixel outside the texture area are fully transparent. More...
const byte | CLAMP =1
| Clamp texture coordinate. More...
const byte | REPEAT =2
| Repeat the texture. More...

## Detailed Description

Enumeration of possible values to spread a texture across a primitive.

Since
  OOo 2.0

## Variable Documentation

## ◆ CLAMP

const byte CLAMP =1

Clamp texture coordinate.

This value clamps the texture coordinates to the range [0,1]. This results in only one instance of the texture generated per textured primitive, with the remaining area filled with the color of the outermost texels

## ◆ NONE

const byte NONE =0

Pixel outside the texture area are fully transparent.

This completely switches off pixel generation outside the texture coordinate range [0,1]. This results in only one instance of the texture generated per textured primitive.

## ◆ REPEAT

const byte REPEAT =2

Repeat the texture.

This value repeats the texture over the textured primitive, for the given texture coordinate.